Download it now!
Bug 105294 - Text position of one line of text changes when adding a border line below it
Summary: Text position of one line of text changes when adding a border line below it
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.4.0 target:5.3.0.2 target:5.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-12 19:18 UTC by Telesto
Modified: 2017-05-18 17:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (8.58 KB, application/vnd.oasis.opendocument.text)
2017-01-12 19:18 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-01-12 19:18:39 UTC
Description:
Text position of one line of text changes when adding a border line below it

Steps to Reproduce:
1.Open example file
2.Hit enter after the dashes


Actual Results:  
A small indention

Expected Results:
No change in text position


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
Build ID: 88f561204d7cee25633df8117cc8d7e1ebd8e9ad
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-11_23:07:37
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 5.3.0.0.beta1  (x64)
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; Versie besturingssysteem:Windows 6.19; UI Render: standaard; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL

but not in
Versie: 5.3.0.0.alpha1 
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-01-12 19:18:58 UTC
Created attachment 130368 [details]
Example file
Comment 2 Xisco Faulí 2017-01-13 12:18:22 UTC
Regression introduced by: 

author	Justin Luth <justin_luth@sil.org>	2016-11-02 12:15:55 (GMT)
committer	Justin Luth <justin_luth@sil.org>	2016-11-03 19:02:41 (GMT)
commit	5d9d0f3c979732ade57b9c4c4960dd030ffdc9f9 (patch)
tree	5fec72a40be7dbf15f208498494213cd6f59c114
parent	2a818a0aafac218ca09bb079d7f2cf0879385e4a (diff)
there is a function for that: CalcLineSpace(xx, bEvenIfNoLine)

Adding Cc: to Justin Luth

@Telesco: Next time you find a regression, please add the keywords 'regression' and 'bibisectRequest'
Comment 3 Justin L 2017-01-13 13:19:32 UTC
The autocorrect function (or whatever is turning the dashes into a border) will need to disable "synchronize spacing" and only set a spacing value for the bottom border when it enables it.
Comment 4 Justin L 2017-01-13 18:15:49 UTC
proposed fix: https://gerrit.libreoffice.org/33055
Comment 5 Commit Notification 2017-01-14 04:22:24 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e7526044c8fa6b006b0cb791d15f2476c96ebf2

tdf#105294 - only add spacing for the border being set

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-01-14 07:02:16 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=098d90920a7aea1cc2ee53a79b909f0eef67ca02&h=libreoffice-5-3

tdf#105294 - only add spacing for the border being set

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-01-17 08:34:48 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30d7ff170ee9609e5f80fd27f96aa7ea41ffa6c5&h=libreoffice-5-2

tdf#105294 - only add spacing for the border being set

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.